Browse code

pkg/kamailio/deb: Add Ubuntu trusty support

Victor Seva authored on 14/06/2014 23:32:32
Showing 21 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,19 @@
1
+#!/bin/bash
2
+#
3
+# Hook for automatic backports at buildserver.net
4
+#
5
+# Target dist: Ubuntu trusty
6
+DIST=trusty
7
+
8
+rm -rf ${DIST}
9
+cp -r debian ${DIST}
10
+
11
+# No mi_xmlrpc module
12
+sed -i -e '/libxmlrpc-c3-dev/d' -e '/^Package: kamailio-xmlrpc-modules/,/^$/d' \
13
+	${DIST}/control
14
+sed -i -e 's/ mi_xmlrpc[ ,$]*/ /' ${DIST}/rules
15
+sed -i -e '/^EXTRA_EXCLUDED_MODULES=/s/$/ mi_xmlrpc/' ${DIST}/rules
16
+
17
+# clean backports scripts
18
+rm -rf ${DIST}/backports
19
+exit 0
0 20
new file mode 100644
... ...
@@ -0,0 +1,133 @@
1
+kamailio (4.2.0~dev7) unstable; urgency=medium
2
+
3
+  * update version to 4.2.0~dev7
4
+
5
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 12 Jun 2014 12:55:05 +0200
6
+
7
+kamailio (4.2.0~dev6) unstable; urgency=medium
8
+
9
+  * update version to 4.2.0~dev6
10
+
11
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sat, 03 May 2014 21:49:21 +0200
12
+
13
+kamailio (4.2.0~dev5) unstable; urgency=medium
14
+
15
+  * update version to 4.2.0~dev5
16
+
17
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 21 Apr 2014 22:52:17 +0200
18
+
19
+kamailio (4.2.0~dev4) unstable; urgency=medium
20
+
21
+  * update version to 4.2.0~dev4
22
+
23
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 08 Apr 2014 11:56:12 +0200
24
+
25
+kamailio (4.2.0~dev3) unstable; urgency=medium
26
+
27
+  * update version to 4.2.0~dev3
28
+
29
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Fri, 21 Feb 2014 22:52:43 +0100
30
+
31
+kamailio (4.2.0~dev2) unstable; urgency=medium
32
+
33
+  * update version to 4.2.0~dev2
34
+
35
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 03 Feb 2014 11:12:36 +0100
36
+
37
+kamailio (4.2.0~dev1) unstable; urgency=medium
38
+
39
+  * update version to 4.2.0~dev1
40
+
41
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 08 Jan 2014 19:13:30 +0100
42
+
43
+kamailio (4.2.0~dev0) unstable; urgency=low
44
+
45
+  * Added packages:
46
+    - kamailio-autheph-modules
47
+    - kamailio-sctp-modules
48
+    - kamailio-java-modules
49
+
50
+ --  Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 03 Dec 2013 14:26:58 +0100
51
+
52
+kamailio (4.0.0) unstable; urgency=low
53
+
54
+  * update to 4.0.0 from upstream
55
+
56
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Mar 2013 10:40:30 +0100
57
+
58
+kamailio (3.4.0~dev0) unstable; urgency=low
59
+
60
+  * update version to 3.4.0~dev0
61
+
62
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Wed, 15 Jun 2012 03:15:00 +0100
63
+
64
+kamailio (3.2.0) unstable; urgency=low
65
+
66
+  * update to 3.2.0 from upstream
67
+
68
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 29 Apr 2011 12:25:30 +0100
69
+
70
+kamailio (3.1.1) unstable; urgency=low
71
+
72
+  * update to 3.1.1 from upstream
73
+
74
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 3 Dec 2010 16:30:00 +0100
75
+
76
+kamailio (3.1.0) unstable; urgency=low
77
+
78
+  * update to 3.1.0 from upstream
79
+
80
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Wed, 6 Oct 2010 17:24:00 +0100
81
+
82
+kamailio (3.0.2.99) unstable; urgency=low
83
+
84
+  * update to 3.0.2.99 for development version builds
85
+
86
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 28 May 2010 22:26:00 +0100
87
+
88
+kamailio (3.0.2) unstable; urgency=low
89
+
90
+  * update to 3.0.2 from upstream
91
+
92
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 27 May 2010 10:27:36 +0100
93
+
94
+kamailio (3.0.1) unstable; urgency=low
95
+
96
+  * update to 3.0.1 from upstream
97
+
98
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 08 Mar 2010 20:30:48 +0100
99
+
100
+kamailio (3.0.0) unstable; urgency=low
101
+
102
+  * update to 3.0.0 from upstream
103
+
104
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Jan 2010 18:30:42 +0100
105
+
106
+kamailio (3.0.0-rc3) unstable; urgency=low
107
+
108
+  * update to 3.0.0-rc3 from upstream
109
+  * updated debian/rules to work with the SIP Router style module packaging
110
+
111
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 10 Dec 2009 12:10:02 +0100
112
+
113
+kamailio (3.0.0-rc2) unstable; urgency=low
114
+
115
+  * update to 3.0.0-rc2 from upstream
116
+  * updated debian/rules to work with the new style module packaging
117
+
118
+ -- Jonas Bergler <jonas.bergler@staff.snap.net.nz>  Wed, 18 Nov 2009 12:30:02 +1300
119
+
120
+kamailio (1.5.0-svn1) unstable; urgency=low
121
+
122
+  * increment debian packaging for trunk
123
+
124
+ -- Henning Westerholt <henning.westerholt@1und1.de>  Mon, 02 Mar 2009 17:40:02 +0100
125
+
126
+kamailio (1.4.0-svn1) unstable; urgency=low
127
+
128
+  [ Klaus Darilion ]
129
+  * first release of Kamailio (after renaming from Openser)
130
+
131
+ -- Julien BLACHE <jblache@debian.org>  Wed, 12 Dec 2007 17:25:31 +0100
132
+
133
+
0 134
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+9
0 2
new file mode 100644
... ...
@@ -0,0 +1,572 @@
1
+Source: kamailio
2
+Section: net
3
+Priority: optional
4
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
5
+Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>,
6
+           Tzafrir Cohen <tzafrir@debian.org>
7
+Build-Depends: bison,
8
+               debhelper (>= 9),
9
+               docbook-xml,
10
+               dpkg-dev (>= 1.16.1.1),
11
+               flex,
12
+               gcj-jdk,
13
+               libconfuse-dev,
14
+               libcurl4-openssl-dev,
15
+               libdb-dev (>= 4.6.19),
16
+               libev-dev,
17
+               libevent-dev,
18
+               libexpat1-dev,
19
+               libfreeradius-client-dev,
20
+               libgeoip-dev (>= 1.4.5),
21
+               libhiredis-dev (>= 0.10.0),
22
+               libjson-c-dev,
23
+               libldap2-dev,
24
+               liblua5.1-0-dev,
25
+               libmemcached-dev,
26
+               libmono-2.0-dev,
27
+               libmysqlclient-dev,
28
+               libncurses5-dev,
29
+               libpcre3-dev,
30
+               libperl-dev,
31
+               libpq-dev,
32
+               libpurple-dev,
33
+               libreadline-dev,
34
+               libsasl2-dev,
35
+               libsctp-dev,
36
+               libsnmp-dev,
37
+               libsqlite3-dev,
38
+               libunistring-dev,
39
+               libval-dev,
40
+               libxml2-dev,
41
+               openssl,
42
+               pkg-config,
43
+               python,
44
+               python-dev,
45
+               unixodbc-dev,
46
+               uuid-dev,
47
+               xsltproc,
48
+               zlib1g-dev
49
+Standards-Version: 3.9.5
50
+Homepage: http://www.kamailio.org/
51
+Vcs-git: git://anonscm.debian.org/pkg-voip/kamailio.git
52
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/kamailio.git
53
+
54
+Package: kamailio
55
+Architecture: linux-any
56
+Multi-Arch: foreign
57
+Pre-Depends: ${misc:Pre-Depends}
58
+Depends: adduser, python, ${misc:Depends}, ${shlibs:Depends}
59
+Suggests: kamailio-berkeley-modules,
60
+          kamailio-carrierroute-modules,
61
+          kamailio-cpl-modules,
62
+          kamailio-dbg,
63
+          kamailio-ldap-modules,
64
+          kamailio-lua-modules,
65
+          kamailio-mysql-modules,
66
+          kamailio-perl-modules,
67
+          kamailio-postgres-modules,
68
+          kamailio-presence-modules,
69
+          kamailio-python-modules,
70
+          kamailio-radius-modules,
71
+          kamailio-snmpstats-modules,
72
+          kamailio-tls-modules,
73
+          kamailio-unixodbc-modules,
74
+          kamailio-xml-modules,
75
+          kamailio-xmpp-modules
76
+Description: very fast and configurable SIP proxy
77
+ Kamailio is a very fast and flexible SIP (RFC3261)
78
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
79
+ per second even on low-budget hardware.
80
+ .
81
+ C Shell-like scripting language provides full control over the server's
82
+ behaviour. Its modular architecture allows only required functionality to be
83
+ loaded.
84
+ .
85
+ Among others, the following modules are available: digest authentication, CPL
86
+ scripts, instant messaging, MySQL support, presence agent, RADIUS
87
+ authentication, record routing, SMS gateway, Jabber/XMPP gateway, transaction
88
+ module, registrar and user location, XML-RPC interface.
89
+ .
90
+ This package contains the main Kamailio binary along with the principal modules
91
+ and support binaries.
92
+
93
+Package: kamailio-dbg
94
+Priority: extra
95
+Section: debug
96
+Architecture: linux-any
97
+Multi-Arch: same
98
+Pre-Depends: ${misc:Pre-Depends}
99
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}
100
+Description: very fast and configurable SIP proxy [debug symbols]
101
+ Kamailio is a very fast and flexible SIP (RFC3261)
102
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
103
+ per second even on low-budget hardware.
104
+ .
105
+ This package contains the debugging symbols for the Kamailio binaries and
106
+ modules. You only need to install it if you need to debug Kamailio.
107
+
108
+Package: kamailio-geoip-modules
109
+Architecture: linux-any
110
+Multi-Arch: same
111
+Pre-Depends: ${misc:Pre-Depends}
112
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
113
+Description: contains the geoip module
114
+ Kamailio is a very fast and flexible SIP (RFC3261)
115
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
116
+ per second even on low-budget hardware.
117
+ .
118
+ This package provides the geoip module, an extension allowing to
119
+ use GeoIP API within configuration file.
120
+
121
+Package: kamailio-sqlite-modules
122
+Architecture: linux-any
123
+Multi-Arch: same
124
+Pre-Depends: ${misc:Pre-Depends}
125
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
126
+Recommends: sqlite3
127
+Description: SQLite database connectivity module for Kamailio
128
+ Kamailio is a very fast and flexible SIP (RFC3261)
129
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
130
+ per second even on low-budget hardware.
131
+ .
132
+ This package provides the SQLite database driver for Kamailio.
133
+
134
+Package: kamailio-json-modules
135
+Architecture: linux-any
136
+Multi-Arch: same
137
+Pre-Depends: ${misc:Pre-Depends}
138
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
139
+Description: Json parser and jsonrpc modules for Kamailio
140
+ Kamailio is a very fast and flexible SIP (RFC3261)
141
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
142
+ per second even on low-budget hardware.
143
+ .
144
+ This package provides json parser for Kamailio's configuration file
145
+ and the JSON-RPC client over netstrings.
146
+
147
+Package: kamailio-memcached-modules
148
+Architecture: linux-any
149
+Multi-Arch: same
150
+Pre-Depends: ${misc:Pre-Depends}
151
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
152
+Replaces: kamailio-memcached-module
153
+Description: Provides the memcached module, an interface to the memcached server
154
+ Kamailio is a very fast and flexible SIP (RFC3261)
155
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
156
+ per second even on low-budget hardware.
157
+ .
158
+ This package provides the memcached module, an interface to the memcached
159
+ server, a high-performance, distributed memory object caching system.
160
+
161
+Package: kamailio-lua-modules
162
+Architecture: linux-any
163
+Multi-Arch: same
164
+Pre-Depends: ${misc:Pre-Depends}
165
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
166
+Description: contains the app_lua module
167
+ Kamailio is a very fast and flexible SIP (RFC3261)
168
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
169
+ per second even on low-budget hardware.
170
+ .
171
+ This package provides the app_lua module, an extension allowing to
172
+ execute embedded Lua applications within configuration file.
173
+
174
+Package: kamailio-mono-modules
175
+Architecture: linux-any
176
+Multi-Arch: same
177
+Pre-Depends: ${misc:Pre-Depends}
178
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
179
+Description: contains the app_mono module
180
+ Kamailio is a very fast and flexible SIP (RFC3261)
181
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
182
+ per second even on low-budget hardware.
183
+ .
184
+ This package provides the app_mono module, an extension allowing to
185
+ execute embedded Mono applications within configuration file.
186
+
187
+Package: kamailio-python-modules
188
+Architecture: linux-any
189
+Multi-Arch: same
190
+Pre-Depends: ${misc:Pre-Depends}
191
+Depends: kamailio (= ${binary:Version}),
192
+         python-dev,
193
+         ${misc:Depends},
194
+         ${shlibs:Depends}
195
+Description: contains the app_python module
196
+ Kamailio is a very fast and flexible SIP (RFC3261)
197
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
198
+ per second even on low-budget hardware.
199
+ .
200
+ This package provides the app_python module, an extension allowing to
201
+ execute embedded Python applications within configuration file.
202
+
203
+Package: kamailio-redis-modules
204
+Architecture: linux-any
205
+Multi-Arch: same
206
+Pre-Depends: ${misc:Pre-Depends}
207
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
208
+Description: Redis database connectivity module for Kamailio
209
+ Kamailio is a very fast and flexible SIP (RFC3261)
210
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
211
+ per second even on low-budget hardware.
212
+ .
213
+ This package provides the Redis NOSQL database driver for Kamailio.
214
+
215
+Package: kamailio-mysql-modules
216
+Architecture: linux-any
217
+Multi-Arch: same
218
+Pre-Depends: ${misc:Pre-Depends}
219
+Depends: kamailio (= ${binary:Version}),
220
+         mysql-client,
221
+         ${misc:Depends},
222
+         ${shlibs:Depends}
223
+Description: MySQL database connectivity module for Kamailio
224
+ Kamailio is a very fast and flexible SIP (RFC3261)
225
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
226
+ per second even on low-budget hardware.
227
+ .
228
+ This package provides the MySQL database driver for Kamailio.
229
+
230
+Package: kamailio-postgres-modules
231
+Architecture: linux-any
232
+Multi-Arch: same
233
+Pre-Depends: ${misc:Pre-Depends}
234
+Depends: kamailio (= ${binary:Version}),
235
+         postgresql-client,
236
+         ${misc:Depends},
237
+         ${shlibs:Depends}
238
+Description: PostgreSQL database connectivity module for Kamailio
239
+ Kamailio is a very fast and flexible SIP (RFC3261)
240
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
241
+ per second even on low-budget hardware.
242
+ .
243
+ This package provides the PostgreSQL database driver for Kamailio.
244
+
245
+Package: kamailio-cpl-modules
246
+Architecture: linux-any
247
+Multi-Arch: same
248
+Pre-Depends: ${misc:Pre-Depends}
249
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
250
+Description: CPL module (CPL interpreter engine) for Kamailio
251
+ Kamailio is a very fast and flexible SIP (RFC3261)
252
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
253
+ per second even on low-budget hardware.
254
+ .
255
+ This package provides a CPL (Call Processing Language) interpreter for
256
+ Kamailio, turning Kamailio into a CPL server (storage and interpreter).
257
+
258
+Package: kamailio-radius-modules
259
+Architecture: linux-any
260
+Multi-Arch: same
261
+Pre-Depends: ${misc:Pre-Depends}
262
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
263
+Description: RADIUS modules for Kamailio
264
+ Kamailio is a very fast and flexible SIP (RFC3261)
265
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
266
+ per second even on low-budget hardware.
267
+ .
268
+ This package provides a set of RADIUS modules for Kamailio, for
269
+ authentication, peering, group membership and messages URIs checking against a
270
+ RADIUS server.
271
+
272
+Package: kamailio-unixodbc-modules
273
+Architecture: linux-any
274
+Multi-Arch: same
275
+Pre-Depends: ${misc:Pre-Depends}
276
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
277
+Description: unixODBC database connectivity module for Kamailio
278
+ Kamailio is a very fast and flexible SIP (RFC3261)
279
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
280
+ per second even on low-budget hardware.
281
+ .
282
+ This package provides the unixODBC database driver for Kamailio.
283
+
284
+Package: kamailio-presence-modules
285
+Architecture: linux-any
286
+Multi-Arch: same
287
+Pre-Depends: ${misc:Pre-Depends}
288
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
289
+Description: SIMPLE presence modules for Kamailio
290
+ Kamailio is a very fast and flexible SIP (RFC3261)
291
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
292
+ per second even on low-budget hardware.
293
+ .
294
+ This package provides several Kamailio modules for implementing presence
295
+ server and presence user agent for RICH presence, registrar-based presence,
296
+ external triggered presence and XCAP support.
297
+
298
+Package: kamailio-perl-modules
299
+Architecture: linux-any
300
+Multi-Arch: same
301
+Pre-Depends: ${misc:Pre-Depends}
302
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
303
+Description: Perl extensions and database driver for Kamailio
304
+ Kamailio is a very fast and flexible SIP (RFC3261)
305
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
306
+ per second even on low-budget hardware.
307
+ .
308
+ This package provides an interface for Kamailio to write Perl extensions and
309
+ the perlvdb database driver for Kamailio.
310
+
311
+Package: kamailio-snmpstats-modules
312
+Architecture: linux-any
313
+Multi-Arch: same
314
+Pre-Depends: ${misc:Pre-Depends}
315
+Depends: kamailio (= ${binary:Version}),
316
+         snmpd,
317
+         ${misc:Depends},
318
+         ${shlibs:Depends}
319
+Description: SNMP AgentX subagent module for Kamailio
320
+ Kamailio is a very fast and flexible SIP (RFC3261)
321
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
322
+ per second even on low-budget hardware.
323
+ .
324
+ This package provides the snmpstats module for Kamailio. This module acts
325
+ as an AgentX subagent which connects to a master agent.
326
+
327
+Package: kamailio-purple-modules
328
+Architecture: linux-any
329
+Multi-Arch: same
330
+Pre-Depends: ${misc:Pre-Depends}
331
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
332
+Description: Provides the purple module, a multi-protocol IM gateway
333
+ Kamailio is a very fast and flexible SIP (RFC3261)
334
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
335
+ per second even on low-budget hardware.
336
+ .
337
+ This package provides the purple module, a multi-protocol instant
338
+ messaging gateway module.
339
+
340
+Package: kamailio-xmpp-modules
341
+Architecture: linux-any
342
+Multi-Arch: same
343
+Pre-Depends: ${misc:Pre-Depends}
344
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
345
+Description: XMPP gateway module for Kamailio
346
+ Kamailio is a very fast and flexible SIP (RFC3261)
347
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
348
+ per second even on low-budget hardware.
349
+ .
350
+ This package provides the SIP to XMPP IM translator module for Kamailio.
351
+
352
+Package: kamailio-xml-modules
353
+Architecture: linux-any
354
+Multi-Arch: same
355
+Pre-Depends: ${misc:Pre-Depends}
356
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
357
+Replaces: kamailio-xml-module, kamailio-xmlrpc-module
358
+Provides: kamailio-xmlrpc-modules
359
+Description: XML based extensions for Kamailio's Management Interface
360
+ Kamailio is a very fast and flexible SIP (RFC3261)
361
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
362
+ per second even on low-budget hardware.
363
+ .
364
+ This package provides:
365
+ - the XMLRPC transport implementations for Kamailio's
366
+ Management and Control Interface.
367
+ - xmlops module for XPath operations in configuration file
368
+
369
+Package: kamailio-carrierroute-modules
370
+Architecture: linux-any
371
+Multi-Arch: same
372
+Pre-Depends: ${misc:Pre-Depends}
373
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
374
+Description: carrierroute module for Kamailio
375
+ Kamailio is a very fast and flexible SIP (RFC3261)
376
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
377
+ per second even on low-budget hardware.
378
+ .
379
+ This package provides the carrierroute module for Kamailio, an integrated
380
+ solution for routing, balancing and blacklisting.
381
+
382
+Package: kamailio-berkeley-modules
383
+Architecture: linux-any
384
+Multi-Arch: same
385
+Pre-Depends: ${misc:Pre-Depends}
386
+Depends: db5.1-util,
387
+         kamailio (= ${binary:Version}),
388
+         ${misc:Depends},
389
+         ${shlibs:Depends}
390
+Description: Berkeley database module for Kamailio
391
+ Kamailio is a very fast and flexible SIP (RFC3261)
392
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
393
+ per second even on low-budget hardware.
394
+ .
395
+ This package provides the Berkeley database module for Kamailio, a
396
+ high-performance embedded DB kernel. All database tables are stored
397
+ in files, no additional server is necessary.
398
+
399
+Package: kamailio-berkeley-bin
400
+Architecture: linux-any
401
+Multi-Arch: foreign
402
+Pre-Depends: ${misc:Pre-Depends}
403
+Depends: ${misc:Depends}, ${shlibs:Depends}
404
+Description: Berkeley database module for Kamailio - helper program
405
+ Kamailio is a very fast and flexible SIP (RFC3261)
406
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
407
+ per second even on low-budget hardware.
408
+ .
409
+ This package provides helper modules for the Berkeley database module for
410
+ Kamailio, a high-performance embedded DB kernel. You should normally
411
+ install kamailio-berkeley-modules and not this package directly.
412
+
413
+Package: kamailio-ldap-modules
414
+Architecture: linux-any
415
+Multi-Arch: same
416
+Pre-Depends: ${misc:Pre-Depends}
417
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
418
+Description: LDAP modules for Kamailio
419
+ Kamailio is a very fast and flexible SIP (RFC3261)
420
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
421
+ per second even on low-budget hardware.
422
+ .
423
+ This package provides the ldap and h350 modules for Kamailio, enabling LDAP
424
+ queries from the Kamailio config and storage of SIP account data in an LDAP
425
+ directory.
426
+
427
+Package: kamailio-ims-modules
428
+Architecture: linux-any
429
+Multi-Arch: same
430
+Pre-Depends: ${misc:Pre-Depends}
431
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
432
+Description: IMS module for Kamailio
433
+ Kamailio is a very fast and flexible SIP (RFC3261)
434
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
435
+ per second even on low-budget hardware.
436
+ .
437
+ This package contains various Diameter interfaces and modules for Kamailio
438
+ to run as an IMS core.
439
+
440
+Package: kamailio-utils-modules
441
+Architecture: linux-any
442
+Multi-Arch: same
443
+Pre-Depends: ${misc:Pre-Depends}
444
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
445
+Description: Provides a set utility functions for Kamailio
446
+ Kamailio is a very fast and flexible SIP (RFC3261)
447
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
448
+ per second even on low-budget hardware.
449
+ .
450
+ Provides a set of utility functions for Kamailio, which are not related
451
+ to the server configuration.
452
+
453
+Package: kamailio-sctp-modules
454
+Architecture: linux-any
455
+Multi-Arch: same
456
+Pre-Depends: ${misc:Pre-Depends}
457
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
458
+Description: sctp module for Kamailio
459
+ Kamailio is a very fast and flexible SIP (RFC3261)
460
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
461
+ per second even on low-budget hardware.
462
+ .
463
+ This package provides the sctp module for Kamailio.
464
+
465
+Package: kamailio-java-modules
466
+Architecture: linux-any
467
+Multi-Arch: same
468
+Pre-Depends: ${misc:Pre-Depends}
469
+Depends: gcj-jre,
470
+         kamailio (= ${binary:Version}),
471
+         ${misc:Depends},
472
+         ${shlibs:Depends}
473
+Description: contains the app_java module
474
+ Kamailio is a very fast and flexible SIP (RFC3261)
475
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
476
+ per second even on low-budget hardware.
477
+ .
478
+ This package provides the app_java module, an extension allowing to
479
+ execute embedded Java applications within configuration file.
480
+
481
+Package: kamailio-tls-modules
482
+Architecture: linux-any
483
+Multi-Arch: same
484
+Pre-Depends: ${misc:Pre-Depends}
485
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
486
+Description: contains the TLS kamailio transport module
487
+ This has been split out of the main kamailio package, so that kamailio will
488
+ not depend on openssl. This module will enable you to use the TLS transport.
489
+
490
+Package: kamailio-outbound-modules
491
+Architecture: linux-any
492
+Multi-Arch: same
493
+Pre-Depends: ${misc:Pre-Depends}
494
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
495
+Description: Outbound module for Kamailio
496
+ Kamailio is a very fast and flexible SIP (RFC3261)
497
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
498
+ per second even on low-budget hardware.
499
+ .
500
+ This package contains the module implementing SIP outbound extension.
501
+
502
+Package: kamailio-websocket-modules
503
+Architecture: linux-any
504
+Multi-Arch: same
505
+Pre-Depends: ${misc:Pre-Depends}
506
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
507
+Description: Websocket module for kamailio
508
+ Kamailio is a very fast and flexible SIP (RFC3261)
509
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
510
+ per second even on low-budget hardware.
511
+ .
512
+ This package contains the module implementing WebSocket transport layer.
513
+
514
+Package: kamailio-dnssec-modules
515
+Architecture: linux-any
516
+Multi-Arch: same
517
+Pre-Depends: ${misc:Pre-Depends}
518
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
519
+Description: contains the dnssec module
520
+ Kamailio is a very fast and flexible SIP (RFC3261)
521
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
522
+ per second even on low-budget hardware.
523
+ .
524
+ This package provides the dnssec module for Kamailio.
525
+
526
+Package: kamailio-autheph-modules
527
+Architecture: linux-any
528
+Multi-Arch: same
529
+Pre-Depends: ${misc:Pre-Depends}
530
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
531
+Description: authentication using ephemeral credentials module for Kamailio
532
+ Kamailio is a very fast and flexible SIP (RFC3261)
533
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
534
+ per second even on low-budget hardware.
535
+ .
536
+ This package provides the ephemeral module for Kamailio.
537
+
538
+Package: kamailio-extra-modules
539
+Architecture: linux-any
540
+Multi-Arch: same
541
+Pre-Depends: ${misc:Pre-Depends}
542
+Depends: kamailio (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
543
+Description: extra modules for Kamailio
544
+ Kamailio is a very fast and flexible SIP (RFC3261)
545
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
546
+ per second even on low-budget hardware.
547
+ .
548
+ This package provides: gzcompress uuid ev
549
+
550
+Package: kamailio-nth
551
+Architecture: any
552
+Pre-Depends: ${misc:Pre-Depends}
553
+Depends: binutils,
554
+         bison,
555
+         bvi,
556
+         flex,
557
+         gcc,
558
+         gdb,
559
+         iftop,
560
+         lsof,
561
+         mc,
562
+         most,
563
+         ngrep,
564
+         psmisc,
565
+         screen,
566
+         sipsak,
567
+         tcpdump,
568
+         vim,
569
+         ${misc:Depends}
570
+Description: Kamailio - package for "nice to have" installation
571
+ This is a metapackage for easy installation various useful tools that may be
572
+ handy on server with Kamailio installed.
0 573
new file mode 100644
... ...
@@ -0,0 +1,335 @@
1
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
2
+Upstream-Name: Kamailio
3
+Upstream-Contact: sr-dev@lists.sip-router.org
4
+Source: http://www.kamailio.org/pub/kamailio/
5
+
6
+Files: *
7
+Copyright:
8
+ 2001-2003 FhG Fokus
9
+ 2006-2010 iptelorg GmbH
10
+ Various others (see AUTHORS file)
11
+License: GPL-2.0+
12
+ On Debian systems, the full text of the GNU General Public
13
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
14
+
15
+Files: debian/*
16
+Copyright: 2012, 2013, 2014 Victor Seva <linuxmaniac@torreviejawireless.org>
17
+           2009, 2010, 2011, Daniel-Constantin Mierla <miconda@gmail.com>
18
+           2010, Jon Bonilla <manwe@aholab.ehu.es>
19
+           2009, Jonas Bergler <jonas.bergler@staff.snap.net.nz>
20
+           2009, Henning Westerholt <henning.westerholt@1und1.de>
21
+           2007, Julien BLACHE <jblache@debian.org>
22
+License: GPL-2+
23
+ On Debian systems, the full text of the GNU General Public
24
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
25
+
26
+
27
+Files: atomic/* atomic_ops.* basex.* bit_*.c char_msg_val.h compiler_opt.h
28
+ core_stats.h counters.* endianness.* futexlock.h hashes.h io_wait.*
29
+ kstats_types.h lib/kcore/kstats_wrapper.* lock_ops.c lock_ops_init.h
30
+ lvalue.* mem/ll_malloc.* mem/memdbg.h mem/sf_malloc.* mi/*.h mod_fix.*
31
+ modules/tm/rpc_uac.* modules/counters/counters.c modules/tls/sbufq.h
32
+ modules/tls/tls_bio.* modules/tls/tls_cfg.* modules/tls/tls_cfg.h
33
+ modules/tls/tls_ct_wrq.* modules/tls/tls_ct_q.h modules/tls/tls_domain.*
34
+ modules/tls/tls_server.h modules/tls/tls_locking.* modules/tls/tls_rpc.*
35
+ modules/tls/tls_server.c modules/malloc_test/malloc_test.c modules/blst/blst.c
36
+ parser/case_p_* parser/case_reas.h pvapi.h pv_core.* rand/fastrand.* raw_*
37
+ rpc_lookup.* rvalue.* sctp_* ser_time.h shm_init.* sip_msg_clone.* sock_ut.*
38
+ sr_compat.* str_hash.h switch.* tcp_ev.h tcp_int_send.h tcp_options.*
39
+ tcp_read.h tcp_stats.* timer_proc.* tls_hooks.* tls_hooks_init.h ver.*
40
+Copyright: 2006-2010 iptelorg GmbH
41
+License: ISC
42
+
43
+Files: modules/tls/tls_select.* modules/tls/tls_dump_vf.*
44
+Copyright: 2005-2010 iptelorg GmbH
45
+License: GPL-2 + OpenSSL exception
46
+ On Debian systems, the full text of the GNU General Public
47
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
48
+ * Exception: permission to copy, modify, propagate, and distribute a work
49
+ * formed by combining OpenSSL toolkit software and the code in this file,
50
+ * such as linking with software components and libraries released under
51
+ * OpenSSL project license.
52
+
53
+Files: modules/websocket/* modules/outbound/* modules/auth_ephemeral/*
54
+Copyright: 2012-2013 Crocodile RCS Ltd
55
+License: GPL-2 + OpenSSL exception
56
+ On Debian systems, the full text of the GNU General Public
57
+ License version 2 can be found in the file `/usr/share/common-licenses/GPL-2'.
58
+ * Exception: permission to copy, modify, propagate, and distribute a work
59
+ * formed by combining OpenSSL toolkit software and the code in this file,
60
+ * such as linking with software components and libraries released under
61
+ * OpenSSL project license.
62
+
63
+Files: daemonize.* fastlock.h lock_ops.h mem/mem.* mem/f_malloc.h
64
+ mem/meminfo.h mem/memtest.c mem/shm_mem.c mem/q_malloc.h mem/q_malloc.c
65
+ mem/shm_mem.h mem/f_malloc.c modules/tls/tls_rpc.c modules/tls/tls_server.c
66
+ modules/tls/tls_domain.c modules/tls/tls_domain.h modules/tls/tls_server.h
67
+ modules/tls/tls_rpc.h pt.c pt.h sched_yield.h ut.c ut.h
68
+Copyright: 2001-2003 FhG Fokus
69
+License: ISC
70
+
71
+Files: events.* modules/topoh/*
72
+Copyright: 2009 SIP-Router.org
73
+License: ISC
74
+
75
+Files: modules/mi_rpc/mi_rpc_mod.c modules/pv/pv_xavp.*
76
+ modules/usrloc/ul_rpc.* ppcfg.* xavp.*
77
+Copyright: 2009-2010 Daniel-Constantin Mierla (asipto.com)
78
+License: ISC
79
+
80
+Files: obsolete/jabber_k/tree234.*
81
+Copyright: 1999, 2000, 2001, Simon Tatham
82
+License: Expat
83
+ Permission is hereby granted, free of charge, to any person
84
+ obtaining a copy of this software and associated documentation
85
+ files (the "Software"), to deal in the Software without
86
+ restriction, including without limitation the rights to use,
87
+ copy, modify, merge, publish, distribute, sublicense, and/or
88
+ sell copies of the Software, and to permit persons to whom the
89
+ Software is furnished to do so, subject to the following
90
+ conditions:
91
+ .
92
+ The above copyright notice and this permission notice shall be
93
+ included in all copies or substantial portions of the Software.
94
+ .
95
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
96
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
97
+ OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
98
+ NONINFRINGEMENT.  IN NO EVENT SHALL SIMON TATHAM BE LIABLE FOR
99
+ ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
100
+ CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
101
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
102
+ SOFTWARE.
103
+
104
+Files: modules/xmpp/xsnprintf.c obsolete/jabber_s/xsnprintf.c obsolete/jabber_k/xsnprintf.c
105
+Copyright: 1995-1998, The Apache Group
106
+License: Apache-1.0
107
+ Redistribution and use in source and binary forms, with or without
108
+ modification, are permitted provided that the following conditions
109
+ are met:
110
+ .
111
+ 1. Redistributions of source code must retain the above copyright
112
+    notice, this list of conditions and the following disclaimer.
113
+ .
114
+ 2. Redistributions in binary form must reproduce the above copyright
115
+    notice, this list of conditions and the following disclaimer in
116
+    the documentation and/or other materials provided with the
117
+    distribution.
118
+ .
119
+ 3. All advertising materials mentioning features or use of this
120
+    software must display the following acknowledgment:
121
+    "This product includes software developed by the Apache Group
122
+    for use in the Apache HTTP server project (http://www.apache.org/)."
123
+ .
124
+ 4. The names "Apache Server" and "Apache Group" must not be used to
125
+    endorse or promote products derived from this software without
126
+    prior written permission.
127
+ .
128
+ 5. Redistributions of any form whatsoever must retain the following
129
+    acknowledgment:
130
+    "This product includes software developed by the Apache Group
131
+    for use in the Apache HTTP server project (http://www.apache.org/)."
132
+ .
133
+ THIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS'' AND ANY
134
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
135
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
136
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE APACHE GROUP OR
137
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
138
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
139
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
140
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
141
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
142
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
143
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
144
+ OF THE POSSIBILITY OF SUCH DAMAGE.
145
+
146
+Files: modules/mi_xmlrpc/abyss*
147
+Copyright: 2000, Moez Mahfoudh <mmoez@bigfoot.com>
148
+License: BSD-3-clause
149
+
150
+Files: list.h
151
+Copyright: 1991, 1993 The Regents of the University of California
152
+License: BSD-3-clause
153
+
154
+Files: modules/tm/t_serial.*
155
+Copyright: 2008 Juha Heinanen
156
+License: BSD-2-clause
157
+
158
+Files: parser/sdp/sdp.* parser/sdp/sdp_helpr_funcs.* parser/sdp/sdp_cloner.h
159
+Copyright:
160
+ 2008-2009 SOMA Networks, INC.
161
+ 2010 VoIP Embedded, Inc
162
+License: BSD-2-clause
163
+
164
+Files: modules/tls/fixed_c_zlib.h
165
+Copyright:1998-2005 The OpenSSL Project
166
+Comment: file copied from OpenSSL 0.9.8, refers to OpenSSL License. Note that
167
+ this code will not build by default in the Debian packaging.
168
+License: OpenSSL
169
+ Redistribution and use in source and binary forms, with or without
170
+ modification, are permitted provided that the following conditions
171
+ are met:
172
+ .
173
+ 1. Redistributions of source code must retain the above copyright
174
+    notice, this list of conditions and the following disclaimer.
175
+ .
176
+ 2. Redistributions in binary form must reproduce the above copyright
177
+    notice, this list of conditions and the following disclaimer in
178
+    the documentation and/or other materials provided with the
179
+    distribution.
180
+ .
181
+ 3. All advertising materials mentioning features or use of this
182
+    software must display the following acknowledgment:
183
+    "This product includes software developed by the OpenSSL Project
184
+    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"
185
+ .
186
+ 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
187
+    endorse or promote products derived from this software without
188
+    prior written permission. For written permission, please contact
189
+    openssl-core@openssl.org.
190
+ .
191
+ 5. Products derived from this software may not be called "OpenSSL"
192
+    nor may "OpenSSL" appear in their names without prior written
193
+    permission of the OpenSSL Project.
194
+ .
195
+ 6. Redistributions of any form whatsoever must retain the following
196
+    acknowledgment:
197
+    "This product includes software developed by the OpenSSL Project
198
+    for use in the OpenSSL Toolkit (http://www.openssl.org/)"
199
+ .
200
+ THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
201
+ EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
202
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
203
+ PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
204
+ ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
205
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
206
+ NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
207
+ LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
208
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
209
+ STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
210
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
211
+ OF THE POSSIBILITY OF SUCH DAMAGE.
212
+
213
+Files: md5.* md5utils.c
214
+Copyright: 1991-2, RSA Data Security, Inc
215
+Comment: Note that md5.c and md5.h have been replaced in the patches
216
+ plum_md5*.patch .
217
+ .
218
+ As for md5utils.c, according to a mail from Upstream (Daniel-Constantin
219
+ Mierla): while the initial commit log for it states that it is derived
220
+ from mddriver.c of RFC 1321, it seems that it was, in fact, written from
221
+ scratch by Jiri Kuthan (a core developer of SER at that time, working for
222
+ FhG Fokus Institute). As you can see it's rather trivial and uses a data
223
+ type of SER ("str").  I didn't reimplement it as it's too trivial and
224
+ looks like there's no other way to implement it.
225
+License: RSA-MD5
226
+ License to copy and use this software is granted provided that it
227
+ is identified as the "RSA Data Security, Inc. MD5 Message-Digest
228
+ Algorithm" in all material mentioning or referencing this software
229
+ or this function.
230
+ .
231
+ License is also granted to make and use derivative works provided
232
+ that such works are identified as "derived from the RSA Data
233
+ Security, Inc. MD5 Message-Digest Algorithm" in all material
234
+ mentioning or referencing the derived work.
235
+ .
236
+ RSA Data Security, Inc. makes no representations concerning either
237
+ the merchantability of this software or the suitability of this
238
+ software for any particular purpose. It is provided "as is"
239
+ without express or implied warranty of any kind.
240
+ .
241
+ These notices must be retained in any copies of any part of this
242
+ documentation and/or software.
243
+
244
+Files: mem/dl_*
245
+Copyright: n/a
246
+License: public-domain
247
+ This is a version (aka dlmalloc) of malloc/free/realloc written by
248
+ Doug Lea and released to the public domain, as explained at
249
+ http://creativecommons.org/licenses/publicdomain.  Send questions,
250
+ comments, complaints, performance data, etc to dl@cs.oswego.edu
251
+
252
+Files: rand/isaac/*
253
+Copyright: n/a
254
+License: public-domain
255
+ By Bob Jenkins.  My random number generator, ISAAC.  Public Domain.
256
+
257
+License: ISC
258
+ Permission to use, copy, modify, and distribute this software for any
259
+ purpose with or without fee is hereby granted, provided that the above
260
+ copyright notice and this permission notice appear in all copies.
261
+ .
262
+ THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
263
+ WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
264
+ MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
265
+ ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
266
+ WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
267
+ ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
268
+ OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
269
+
270
+Files: lib/srutils/srjson.*
271
+Copyright: 2009 Dave Gamble
272
+License: MIT
273
+ Permission is hereby granted, free of charge, to any person obtaining a copy
274
+ of this software and associated documentation files (the "Software"), to deal
275
+ in the Software without restriction, including without limitation the rights
276
+ to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
277
+ copies of the Software, and to permit persons to whom the Software is
278
+ furnished to do so, subject to the following conditions:
279
+ .
280
+ The above copyright notice and this permission notice shall be included in
281
+ all copies or substantial portions of the Software.
282
+ ,
283
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
284
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
285
+ FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
286
+ AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
287
+ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
288
+ OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
289
+ THE SOFTWARE.
290
+
291
+License: BSD-3-clause
292
+ Redistribution and use in source and binary forms, with or without
293
+ modification, are permitted provided that the following conditions
294
+ are met:
295
+ 1. Redistributions of source code must retain the above copyright
296
+    notice, this list of conditions and the following disclaimer.
297
+ 2. Redistributions in binary form must reproduce the above copyright
298
+    notice, this list of conditions and the following disclaimer in the
299
+    documentation and/or other materials provided with the distribution.
300
+ 4. Neither the name of the University nor the names of its contributors
301
+    may be used to endorse or promote products derived from this software
302
+    without specific prior written permission.
303
+ .
304
+ THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
305
+ ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
306
+ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
307
+ ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
308
+ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
309
+ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
310
+ OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
311
+ HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
312
+ LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
313
+ OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
314
+ SUCH DAMAGE.
315
+
316
+License: BSD-2-clause
317
+ Redistribution and use in source and binary forms, with or without
318
+ modification, are permitted provided that the following conditions are met:
319
+ .
320
+  1. Redistributions of source code must retain the above copyright notice,
321
+     this list of conditions and the following disclaimer.
322
+  2. Redistributions in binary form must reproduce the above copyright
323
+     notice, this list of conditions and the following disclaimer in the
324
+     documentation and/or other materials provided with the distribution.
325
+ .
326
+ THIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS'' AND ANY EXPRESS OR
327
+ IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
328
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
329
+ EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
330
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
331
+ BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
332
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
333
+ OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
334
+ NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
335
+ EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
0 336
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-autheph-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+usr/sbin
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-dnssec-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-outbound-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-tls-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+kamailio-websocket-modules binary: possible-gpl-code-linked-with-openssl
0 2
new file mode 100644
... ...
@@ -0,0 +1,39 @@
1
+Kamailio for Debian
2
+-------------------
3
+
4
+* init script check for fork=no
5
+-------------------------------
6
+
7
+The Kamailio init script will not start Kamailio on boot if fork=no is
8
+specified in the config file. The check in the initscript will match
9
+any occurrence of fork=no in the file, even inside C-style comments.
10
+
11
+You can disable this check in the init script if you wish; just comment
12
+out the calls to the check_fork function in the script. Your changes to
13
+the init script will be preserved upon upgrade, as the file is tagged
14
+as a conffile.
15
+
16
+
17
+* Kamailio setup
18
+----------------
19
+
20
+To setup Kamailio, you need to:
21
+ - configure Kamailio properly to suit your needs
22
+ - edit /etc/default/kamailio, adjust the MEMORY parameter and set
23
+   RUN_KAMAILIO to "yes"
24
+
25
+If you are building an HA cluster using heartbeat or similar, you'll want
26
+to disable the init script by running:
27
+
28
+  update-rc.d kamailio remove
29
+
30
+so that Kamailio will not be launched at system startup. You still need
31
+to set RUN_KAMAILIO to "yes" if you want to use the /etc/init.d/kamailio init
32
+script.
33
+
34
+Set the DUMP_CORE parameter in /etc/default/kamailio to "yes" if you want to
35
+get a core dump in case Kamailio crashes. The debug symbols for Kamailio are
36
+provided by the kamailio-dbg package.
37
+
38
+
39
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 11 Dec 2013 16:07:11 +0100
0 40
new file mode 100644
... ...
@@ -0,0 +1,28 @@
1
+#
2
+# Kamailio startup options
3
+#
4
+
5
+# Set to yes to enable kamailio, once configured properly.
6
+#RUN_KAMAILIO=yes
7
+
8
+# User to run as
9
+#USER=kamailio
10
+
11
+# Group to run as
12
+#GROUP=kamailio
13
+
14
+# Amount of shared and private memory to allocate
15
+# for the running Kamailio server (in Mb)
16
+#SHM_MEMORY=64
17
+#PKG_MEMORY=4
18
+
19
+# Config file
20
+#CFGFILE=/etc/kamailio/kamailio.cfg
21
+
22
+# Enable the server to leave a core file when it crashes.
23
+# Set this to 'yes' to enable Kamailio to leave a core file when it crashes
24
+# or 'no' to disable this feature. This option is case sensitive and only
25
+# accepts 'yes' and 'no' and only in lowercase letters.
26
+# On some systems it is necessary to specify a directory for the core files
27
+# to get a dump. Look into the kamailio init file for an example configuration.
28
+#DUMP_CORE=yes
0 29
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+examples/*
2
+
0 3
new file mode 100644
... ...
@@ -0,0 +1,162 @@
1
+#! /bin/sh
2
+#
3
+### BEGIN INIT INFO
4
+# Provides:          kamailio
5
+# Required-Start:    $syslog $network $local_fs $remote_fs $time
6
+# Should-Start:      $named slapd mysql postgresql snmpd radiusd
7
+# Should-Stop:       $named slapd mysql postgresql snmpd radiusd
8
+# Required-Stop:     $syslog $network $local_fs $remote_fs
9
+# Default-Start:     2 3 4 5
10
+# Default-Stop:      0 1 6
11
+# Short-Description: Start the Kamailio SIP proxy server
12
+# Description:       Start the Kamailio SIP proxy server
13
+### END INIT INFO
14
+
15
+. /lib/lsb/init-functions
16
+
17
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
18
+DAEMON=/usr/sbin/kamailio
19
+NAME=kamailio
20
+DESC="Kamailio SIP server"
21
+HOMEDIR=/var/run/kamailio
22
+PIDFILE=$HOMEDIR/$NAME.pid
23
+DEFAULTS=/etc/default/kamailio
24
+CFGFILE=/etc/kamailio/kamailio.cfg
25
+RUN_KAMAILIO=no
26
+USER=kamailio
27
+GROUP=kamailio
28
+# Amount of shared and private memory to allocate
29
+# for the running Kamailio server (in Mb)
30
+SHM_MEMORY=64
31
+PKG_MEMORY=4
32
+DUMP_CORE=no
33
+
34
+# Do not start kamailio if fork=no is set in the config file
35
+# otherwise the boot process will just stop
36
+check_fork ()
37
+{
38
+    if grep -q "^[[:space:]]*fork[[:space:]]*=[[:space:]]*no.*" $CFGFILE; then
39
+	log_failure_msg "Not starting $DESC: fork=no specified in config file; run /etc/init.d/kamailio debug instead"
40
+	exit 0
41
+    fi
42
+}
43
+
44
+check_kamailio_config ()
45
+{
46
+	# Check if kamailio configuration is valid before starting the server
47
+	set +e
48
+	out=$($DAEMON -f $CFGFILE -M $PKG_MEMORY -c 2>&1 > /dev/null)
49
+	retcode=$?
50
+	set -e
51
+	if [ "$retcode" != '0' ]; then
52
+	    log_failure_msg "Not starting $DESC: invalid configuration file!"
53
+	    log_failure_msg
54
+	    log_failure_msg "$out"
55
+	    log_failure_msg
56
+	    exit 1
57
+	fi
58
+}
59
+
60
+create_radius_seqfile ()
61
+{
62
+    # Create a radius sequence file to be used by the radius client if
63
+    # radius accounting is enabled. This is needed to avoid any issue
64
+    # with the file not being writable if kamailio first starts as user
65
+    # root because DUMP_CORE is enabled and creates this file as user
66
+    # root and then later it switches back to user kamailio and cannot
67
+    # write to the file. If the file exists before kamailio starts, it
68
+    # won't change it's ownership and will be writable for both root
69
+    # and kamailio, no matter what options are chosen at install time
70
+    RADIUS_SEQ_FILE=/var/run/kamailio/kamailio_radius.seq
71
+    if [ -d /var/run/kamailio ]; then
72
+	chown ${USER}:${GROUP} /var/run/kamailio
73
+
74
+	if [ ! -f $RADIUS_SEQ_FILE ]; then
75
+	    touch $RADIUS_SEQ_FILE
76
+	fi
77
+
78
+	chown ${USER}:${GROUP} $RADIUS_SEQ_FILE
79
+	chmod 660 $RADIUS_SEQ_FILE
80
+    fi
81
+}
82
+
83
+test -f $DAEMON || exit 0
84
+
85
+# Load startup options if available
86
+if [ -f $DEFAULTS ]; then
87
+   . $DEFAULTS || true
88
+fi
89
+
90
+if [ "$RUN_KAMAILIO" != "yes" ]; then
91
+    log_failure_msg "Kamailio not yet configured. Edit /etc/default/kamailio first."
92
+    exit 0
93
+fi
94
+
95
+set -e
96
+
97
+SHM_MEMORY=$((`echo $SHM_MEMORY | sed -e 's/[^0-9]//g'`))
98
+PKG_MEMORY=$((`echo $PKG_MEMORY | sed -e 's/[^0-9]//g'`))
99
+[ -z "$USER" ]  && USER=kamailio
100
+[ -z "$GROUP" ] && GROUP=kamailio
101
+[ $SHM_MEMORY -le 0 ] && SHM_MEMORY=64
102
+[ $PKG_MEMORY -le 0 ] && PKG_MEMORY=4
103
+
104
+if test "$DUMP_CORE" = "yes" ; then
105
+    # set proper ulimit
106
+    ulimit -c unlimited
107
+
108
+    # directory for the core dump files
109
+    # COREDIR=/home/corefiles
110
+    # [ -d $COREDIR ] || mkdir $COREDIR
111
+    # chmod 777 $COREDIR
112
+    # echo "$COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
113
+fi
114
+
115
+# /var/run can be a tmpfs
116
+if [ ! -d $HOMEDIR ]; then
117
+    mkdir -p $HOMEDIR
118
+fi
119
+
120
+OPTIONS="-f $CFGFILE -P $PIDFILE -m $SHM_MEMORY -M $PKG_MEMORY -u $USER -g $GROUP"
121
+
122
+case "$1" in
123
+  start|debug)
124
+	check_kamailio_config
125
+	create_radius_seqfile
126
+
127
+	if [ "$1" != "debug" ]; then
128
+	    check_fork
129
+	fi
130
+
131
+	log_daemon_msg "Starting $DESC: $NAME"
132
+	start-stop-daemon --start --quiet --pidfile $PIDFILE \
133
+		--exec $DAEMON -- $OPTIONS || log_failure_msg " already running"
134
+	log_end_msg 0
135
+	;;
136
+  stop)
137
+	log_daemon_msg "Stopping $DESC: $NAME"
138
+	start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
139
+		--exec $DAEMON
140
+	log_end_msg 0
141
+	;;
142
+  restart|force-reload)
143
+	check_kamailio_config
144
+	create_radius_seqfile
145
+
146
+	$0 stop
147
+	sleep 1
148
+	$0 start
149
+	;;
150
+  status)
151
+	log_daemon_msg "Status of $DESC: "
152
+
153
+	status_of_proc -p"$PIDFILE" $NAME $NAME
154
+	;;
155
+  *)
156
+	N=/etc/init.d/$NAME
157
+	echo "Usage: $N {start|stop|restart|force-reload|status|debug}" >&2
158
+	exit 1
159
+	;;
160
+esac
161
+
162
+exit 0
0 163
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+kamailio binary: example-interpreter-not-absolute usr/share/doc/kamailio/examples/outbound/edge.cfg #!KAMAILIO
2
+kamailio binary: example-interpreter-not-absolute usr/share/doc/kamailio/examples/outbound/registrar.cfg #!KAMAILIO
0 3
new file mode 100644
... ...
@@ -0,0 +1,24 @@
1
+#! /bin/sh
2
+
3
+set -e
4
+
5
+case "$1" in
6
+    configure)
7
+        adduser --quiet --system --group --disabled-password \
8
+                --shell /bin/false --gecos "Kamailio SIP Server" \
9
+                --home /var/run/kamailio kamailio || true
10
+
11
+        ;;
12
+
13
+    abort-upgrade|abort-remove|abort-deconfigure)
14
+
15
+        ;;
16
+
17
+    *)
18
+        echo "postinst called with unknown argument \`$1'" >&2
19
+        exit 1
20
+        ;;
21
+esac
22
+
23
+#DEBHELPER#
24
+
0 25
new file mode 100755
... ...
@@ -0,0 +1,220 @@
1
+#!/usr/bin/make -f
2
+# Sample debian/rules that uses debhelper.
3
+# GNU copyright 1997 to 1999 by Joey Hess.
4
+
5
+DEBVERSION:=$(shell head -n 1 debian/changelog \
6
+                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
7
+UPVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
8
+
9
+FILENAME := kamailio_$(UPVERSION).orig.tar.gz
10
+URL := http://www.kamailio.org/pub/kamailio/$(UPVERSION)/src/kamailio-$(UPVERSION)_src.tar.gz
11
+
12
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
13
+
14
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
15
+DPKG_EXPORT_BUILDFLAGS = 1
16
+include /usr/share/dpkg/buildflags.mk
17
+
18
+# Uncomment this to turn on verbose mode.
19
+#export DH_VERBOSE=1
20
+
21
+export JAVA_HOME=/usr/lib/jvm/java-gcj
22
+
23
+# choose freeradius
24
+export FREERADIUS=1
25
+
26
+# modules not in the "main" kamailio package
27
+EXCLUDED_MODULES=
28
+
29
+# extra modules to skip, because they are not compilable now
30
+# - regardless if they go to the main kamailio package or to some module package,
31